roduces the ONAP Platform OOM (ONAP Operations Manager) to efficiently Deploy, Manage, Operate the ONAP platform and its components (e.g. MSO, DCAE, SDC, etc.) and infrastructure (VMs, Containers).</title>
<meta name='generator' content='cgit '/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-data/cgit.css'/>
<link rel='shortcut icon' href='/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='http://git.onap.org/oom/atom/kubernetes/common/postgres/templates/service-common.yaml?h=master' type='application/atom+xml'/>
<link rel='vcs-git' href='https://git.onap.org/oom' title='oom Git repository'/>
</head>
<body>
<div id="lfcollabprojects-header">
  <div class="gray-diagonal">
    <div class="header-inner">
      <a
        id="lfcollabprojects-logo"
        href="http://collabprojects.linuxfoundation.org"
        >Linux Foundation Collaborative Projects</a
      >
    </div>
  </div>
</div>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='/cgit-data/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a title='oom' href='/oom/'>oom</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='d8e1c6c974e5df6a7b34e1fa04b64f40d8bbcbab'/><select name='h' onchange='this.form.submit();'>
<option value='2.0.0-ONAP'>2.0.0-ONAP</option>
<option value='amsterdam'>amsterdam</option>
<option value='beijing'>beijing</option>
<option value='casablanca'>casablanca</option>
<option value='casdev'>casdev</option>
<option value='code-transfer'>code-transfer</option>
<option value='dublin'>dublin</option>
<option value='elalto'>elalto</option>
<option value='frankfurt'>frankfurt</option>
<option value='guilin'>guilin</option>
<option value='honolulu'>honolulu</option>
<option value='istanbul'>istanbul</option>
<option value='jakarta'>jakarta</option>
<option value='kohn'>kohn</option>
<option value='london'>london</option>
<option value='master' selected='selected'>master</option>
<option value='montreal'>montreal</option>
<option value='newdelhi'>newdelhi</option>
<option value='oslo'>oslo</option>
<option value='release-1.0.0'>release-1.0.0</option>
<option value='staging'>staging</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Introduces the ONAP Platform OOM (ONAP Operations Manager) to efficiently Deploy, Manage, Operate the ONAP platform and its components (e.g. MSO, DCAE, SDC, etc.) and infrastructure (VMs, Containers).</td><td class='sub right'>Grokmirror user</td></tr></table>
<table class='tabs'><tr><td>
<a href='/oom/about/'>about</a><a href='/oom/'>summary</a><a href='/oom/refs/?id=d8e1c6c974e5df6a7b34e1fa04b64f40d8bbcbab'>refs</a><a href='/oom/log/kubernetes/common/postgres/templates/service-common.yaml'>log</a><a class='active' href='/oom/tree/kubernetes/common/postgres/templates/service-common.yaml?id=d8e1c6c974e5df6a7b34e1fa04b64f40d8bbcbab'>tree</a><a href='/oom/commit/kubernetes/common/postgres/templates/service-common.yaml?id=d8e1c6c974e5df6a7b34e1fa04b64f40d8bbcbab'>commit</a><a href='/oom/diff/kubernetes/common/postgres/templates/service-common.yaml?id=d8e1c6c974e5df6a7b34e1fa04b64f40d8bbcbab'>diff</a><a href='/oom/stats/kubernetes/common/postgres/templates/service-common.yaml'>stats</a></td><td class='form'><form class='right' method='get' action='/oom/log/kubernetes/common/postgres/templates/service-common.yaml'>
<input type='hidden' name='id' value='d8e1c6c974e5df6a7b34e1fa04b64f40d8bbcbab'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/oom/tree/?id=d8e1c6c974e5df6a7b34e1fa04b64f40d8bbcbab'>root</a>/<a href='/oom/tree/kubernetes?id=d8e1c6c974e5df6a7b34e1fa04b64f40d8bbcbab'>kubernetes</a>/<a href='/oom/tree/kubernetes/common?id=d8e1c6c974e5df6a7b34e1fa04b64f40d8bbcbab'>common</a>/<a href='/oom/tree/kubernetes/common/postgres?id=d8e1c6c974e5df6a7b34e1fa04b64f40d8bbcbab'>postgres</a>/<a href='/oom/tree/kubernetes/common/postgres/templates?id=d8e1c6c974e5df6a7b34e1fa04b64f40d8bbcbab'>templates</a>/<a href='/oom/tree/kubernetes/common/postgres/templates/service-common.yaml?id=d8e1c6c974e5df6a7b34e1fa04b64f40d8bbcbab'>service-common.yaml</a></div><div class='content'>blob: 6e74a0661690722ebd6f79d7528b00475d2ec59a (<a href='/oom/plain/kubernetes/common/postgres/templates/service-common.yaml?id=d8e1c6c974e5df6a7b34e1fa04b64f40d8bbcbab'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
</pre></td>
<td class='lines'><pre><code><style>.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span><span class="p p-Indicator">{{</span><span class="nv">/*</span>
<span class="nv"># Copyright © 2018 Amdocs</span><span class="p p-Indicator">,</span> <span class="nv">AT&amp;T</span><span class="p p-Indicator">,</span> <span class="nv">Bell Canada</span>
<span class="nv">#</span> <span class="c1">#</span>
<span class="c1"># # Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);</span>
<span class="c1"># # you may not use this file except in compliance with the License.</span>
<span class="c1"># # You may obtain a copy of the License at</span>
<span class="c1"># #</span>
<span class="c1"># #       http://www.apache.org/licenses/LICENSE-2.0</span>
<span class="c1"># #</span>
<span class="c1"># # Unless required by applicable law or agreed to in writing, software</span>
<span class="c1"># # distributed under the License is distributed on an &quot;AS IS&quot; BASIS,</span>
<span class="c1"># # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.</span>
<span class="c1"># # See the License for the specific language governing permissions and</span>
<span class="c1"># # limitations under the License.</span>
<span class="err">*</span><span class="nv">/</span><span class="p p-Indicator">}}</span>
<span class="l l-Scalar l-Scalar-Plain">apiVersion</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">v1</span>
<span class="l l-Scalar l-Scalar-Plain">kind</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">Service</span>
<span class="l l-Scalar l-Scalar-Plain">metadata</span><span class="p p-Indicator">:</span>
  <span class="l l-Scalar l-Scalar-Plain">name</span><span class="p p-Indicator">:</span> <span class="p p-Indicator">{{</span> <span class="nv">.Values.service.name</span> <span class="p p-Indicator">}}</span>
  <span class="l l-Scalar l-Scalar-Plain">namespace</span><span class="p p-Indicator">:</span> <span class="p p-Indicator">{{</span> <span class="nv">include &quot;common.namespace&quot; .</span> <span class="p p-Indicator">}}</span>
  <span class="l l-Scalar l-Scalar-Plain">labels</span><span class="p p-Indicator">:</span>
    <span class="l l-Scalar l-Scalar-Plain">app</span><span class="p p-Indicator">:</span> <span class="p p-Indicator">{{</span> <span class="nv">include &quot;common.name&quot; .</span> <span class="p p-Indicator">}}</span>
    <span class="l l-Scalar l-Scalar-Plain">chart</span><span class="p p-Indicator">:</span> <span class="p p-Indicator">{{</span> <span class="nv">.Chart.Name</span> <span class="p p-Indicator">}}</span><span class="l l-Scalar l-Scalar-Plain">-{{ .Chart.Version | replace &quot;+&quot; &quot;_&quot; }}</span>
    <span class="l l-Scalar l-Scalar-Plain">release</span><span class="p p-Indicator">:</span> <span class="p p-Indicator">{{</span> <span class="nv">include &quot;common.release&quot; .</span> <span class="p p-Indicator">}}</span>
    <span class="l l-Scalar l-Scalar-Plain">heritage</span><span class="p p-Indicator">:</span> <span class="p p-Indicator">{{</span> <span class="nv">.Release.Service</span> <span class="p p-Indicator">}}</span>
  <span class="l l-Scalar l-Scalar-Plain">annotations</span><span class="p p-Indicator">:</span>
<span class="l l-Scalar l-Scalar-Plain">spec</span><span class="p p-Indicator">:</span>
  <span class="l l-Scalar l-Scalar-Plain">type</span><span class="p p-Indicator">:</span> <span class="p p-Indicator">{{</span> <span class="nv">.Values.service.type</span> <span class="p p-Indicator">}}</span>
  <span class="l l-Scalar l-Scalar-Plain">ports</span><span class="p p-Indicator">:</span>
    <span class="p p-Indicator">{{</span><span class="nv">if eq .Values.service.type &quot;NodePort&quot; -</span><span class="p p-Indicator">}}</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">port</span><span class="p p-Indicator">:</span> <span class="p p-Indicator">{{</span> <span class="nv">.Values.service.externalPort</span> <span class="p p-Indicator">}}</span>
      <span class="l l-Scalar l-Scalar-Plain">nodePort</span><span class="p p-Indicator">:</span> <span class="p p-Indicator">{{</span> <span class="nv">.Values.global.nodePortPrefix | default .Values.nodePortPrefix</span> <span class="p p-Indicator">}}{{</span> <span class="nv">.Values.service.nodePort</span> <span class="p p-Indicator">}}</span>
      <span class="l l-Scalar l-Scalar-Plain">name</span><span class="p p-Indicator">:</span> <span class="p p-Indicator">{{</span> <span class="nv">.Values.service.portName</span> <span class="p p-Indicator">}}</span>
    <span class="p p-Indicator">{{</span><span class="nv">- else -</span><span class="p p-Indicator">}}</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">port</span><span class="p p-Indicator">:</span> <span class="p p-Indicator">{{</span> <span class="nv">.Values.service.externalPort</span> <span class="p p-Indicator">}}</span>
      <span class="l l-Scalar l-Scalar-Plain">targetPort</span><span class="p p-Indicator">:</span> <span class="p p-Indicator">{{</span> <span class="nv">.Values.service.internalPort</span> <span class="p p-Indicator">}}</span>
      <span class="l l-Scalar l-Scalar-Plain">name</span><span class="p p-Indicator">:</span> <span class="p p-Indicator">{{</span> <span class="nv">.Values.service.portName</span> <span class="p p-Indicator">}}</span>
    <span class="p p-Indicator">{{</span><span class="nv">- end</span><span class="p p-Indicator">}}</span>
  <span class="l l-Scalar l-Scalar-Plain">selector</span><span class="p p-Indicator">:</span>
    <span class="l l-Scalar l-Scalar-Plain">app</span><span class="p p-Indicator">:</span> <span class="p p-Indicator">{{</span> <span class="nv">include &quot;common.name&quot; .</span> <span class="p p-Indicator">}}</span>
    <span class="l l-Scalar l-Scalar-Plain">release</span><span class="p p-Indicator">:</span> <span class="p p-Indicator">{{</span> <span class="nv">include &quot;common.release&quot; .</span> <span class="p p-Indicator">}}</span>
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div id="lfcollabprojects-footer">
  <div class="gray-diagonal">
    <div class="footer-inner">
      <p>
        &copy; 2017 <a href="https://www.onap.org/">ONAP</a> a Linux Foundation
        Collaborative Project. All Rights Reserved.
      </p>
      <p>
        Linux Foundation is a registered trademark of The Linux Foundation.
        Linux is a registered
        <a
          href="http://www.linuxfoundation.org/programs/legal/trademark"
          title="Linux Mark Institute"
          >trademark</a
        >
        of Linus Torvalds.
      </p>
      <p>
        Please see our
        <a href="http://www.linuxfoundation.org/privacy">privacy policy</a> and
        <a href="http://www.linuxfoundation.org/terms">terms of use</a>
      </p>
    </div>
  </div>
</div>
</div> <!-- id=cgit -->
</body>
</html>
